/**
* Projet    :   Biblio CH
* Auteur    :   Ludovic Roux
* Desc.     :   Style des différents éléments du projet
* Version   :   2.0, 29.10.2020, LR
*/

@import url('https://fonts.googleapis.com/css2?family=Roboto&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Amatic+SC:wght@700&display=swap');

* {
    padding: 0px;
    margin: 0px;
}

body {
    background: rgb(123, 121, 163);
    background: linear-gradient(90deg, rgba(123, 121, 163, 1) 0%, rgba(104, 104, 124, 1) 42%, rgba(8, 56, 66, 1) 100%);
    font-family: 'Amatic SC', 'Roboto', sans-serif;
    font-size: larger;
}

main {
    height: 100vh;
    width: 85vw;
    margin: auto;
    display: flex;
    align-items: center;
    place-content: center;
}

fieldset {
    border: 1px solid black;
    padding: 3%;
    height: 80%;
    width: 80%;
    background-color: #0000001f;
    display: flex;
    place-content: center;
    flex-flow: column;
}

legend {
    font-size: 3em;
}

/*Table*/

.containerTable {
    margin: 1% 0%;
    overflow-y: scroll;
    height: 75%;
    display: flex;
}

table {
    width: 100%;
    /* height: 100%; */
    min-height: 20%;
    height: 20%;
    max-height: 100%;
}

table, td, th {
    border: 1px solid black;
    border-collapse: collapse;
}

thead {
    background-color: #828dad;
    font-size: 1.5em;
}

tbody {
    font-size: 1.25em;
}

.line0 {
    background-color: #a6b6e4;
}

.line1 {
    background-color: #d2ddff;
}

th, td {
    padding: 1%;
}

.actions {
    display: inline-flex;
    border: none;
    place-content: center;
    align-items: center;
    height: 100%;
    width: 99%;
    justify-content: space-around;
}

form {
    height: 10%;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

form input {
    height: 50%;
}

label {
    font-size: 2em;
}

input, button {
    font-family: 'Amatic SC', 'Roboto', sans-serif;
    font-size: 1em;
}

button {
    height: 10%;
    width: 40%;
    margin: auto;
}

input[type="text"], input[type="number"] {
    text-align: center;
}

.auteur {
    z-index: 5;
    flex-grow: 5;
    margin: 0% 2%;
    height: 50%;
}

.auteur input {
    height: 100%;
    margin: unset;
    width: -webkit-fill-available;
}

.auteur div.auteurAutoComplete {
    background-color:white;
    padding:2%;
    border:1px solid black;
    border-top:unset;
    user-select: none;
    cursor:pointer;
}

.auteur div.auteurAutoComplete:hover {
    background-color:#e0e0e0;
}

.auteur div.last.auteurAutoComplete {
    border-bottom-left-radius: 5px;
}

.containerAutocomplete {
    max-height: 15vh;
    overflow-y: scroll;
}

.envoyer {
    flex-grow: 1;
}

/* label {
    display: inline-block;
    width: 10%;
} */

.erreur {
    border: #ff4d4d 1px solid;
}

.erreur::placeholder {
    color: #ff4d4d;
}

.pas_erreur {
    color: black;
    border: black 1px solid;
}

.ajoutModif {
    flex-direction: column;
    justify-content: space-evenly;
    height: 90%;
    width: 50%;
    margin: auto;
    background-color: #00000036;
    border: 1px solid black;
    padding: 0% 5%;
}

.ajoutModif p {
    width: 100%;
    height: 8%;
    align-items: center;
    place-content: center;
    justify-content: space-between;
    display: flex;
}

.ajoutModif p input, .ajoutModif p select {
    height: 100%;
    width: 40%;
}

.retour {
    text-align: center;
    margin: 2% 0%;
    font-size: 2em;
}

a {
    text-decoration: none;
    color: white;
    background-color: #0000001f;
    padding: 1%;
}

a:hover {
    text-decoration: underline;
}

.containerForm {
    height: 80%;
    display: flex;
    flex-direction: column;
    justify-content: space-around;
    width: 100%;
}

form span {
    font-size: 1.5em;
}

.actions a {
    padding: 2%;
}

.effacer p {
    font-size: 2em;
    height: 75%;
    text-align: justify;
}

.effacer {
    width: 40vh;
    height: 40vh;
}

.effacer form {
    height: 20%;
}

.effacer form input {
    width: 45%;
}

.italic {
    font-style: italic;
}

.white {
    color: white;
}